#ifndef _ppusbcomm_lib_h__
#define _ppusbcomm_lib_h__

#include "raphnethid.h"

#define CTL_TYPE_NONE	0
#define CTL_TYPE_N64	1
#define CTL_TYPE_GC		2
#define CTL_TYPE_GCKB	3

int ppusbcomm_setConfig(raphnethid_hdl_t hdl, unsigned char param, unsigned char *data, unsigned char len);
int ppusbcomm_getConfig(raphnethid_hdl_t hdl, unsigned char param, unsigned char *rx, unsigned char rx_max);
int ppusbcomm_getVersion(raphnethid_hdl_t hdl, char *dst, int dstmax);
int ppusbcomm_getSignature(raphnethid_hdl_t hdl, char *dst, int dstmax);
int ppusbcomm_bootloader(raphnethid_hdl_t hdl);

int ppusbcomm_uploadBlock(raphnethid_hdl_t hdl, unsigned char blk[64]);

#define PPUSBCOMM_UPLOAD_FLAG_OMIT_HEADER	1
#define PPUSBCOMM_UPLOAD_FLAG_DRY_RUN		2
int ppusbcomm_uploadFile(raphnethid_hdl_t hdl, const char *filename, unsigned int flags);

#endif // _ppusbcomm_lib_h__
